CACOS(3)

NAME
cacos, cacosf - complex arc cosine

SYNOPSIS

#include <complex.h>

double complex cacos(double complex z);

float complex cacosf(float complex z);

DESCRIPTION

These functions compute the complex arc cosine of z, with branch cuts outside the interval [-1, +1] along the real axis.

cacosf is identical to cacos, except that it performs its calculations on floats complex.

RETURNS

These functions return the complex arc cosine value, in the range of a strip mathematically unbounded along the imaginary axis and in the interval [0, pi] along the real axis.

PORTABILITY

cacos and cacosf are ISO C99